function utils_interpolate(begin, end, step, max){

	if (begin < end) {
		return ((end - begin) * (step / max)) + begin;
	}

	return ((begin - end) * (1 - (step / max))) + end;
}

function utils_hex (c) {

	var s = "0123456789abcdef";
	var i = parseInt (c);

	if (i == 0 || isNaN (c)){
		return "00";
	}

	i = Math.round (Math.min (Math.max (0, i), 255));
	return s.charAt ((i - i % 16) / 16) + s.charAt (i % 16);
}
